<?php
/*
Plugin Name: MaxSite-социальные закладки
Version: 2.0
Plugin URI: http://maxsite.org/
Description: Добавление записей в популярные социальные закладки (плагин от Макса). Можно изаменить оформление в <strong>style.css</strong>, например так: <strong>div.addzakl {text-align: center; margin: 10px 0;}</strong>
Author: MAX
Author URI: http://maxsite.org/
*/

/*******************************************************************************
Инструкция. 

1. Загрузите плагин в каталог плагинов WordPress.
2. Активируйте его в админ-панели.

Если вы не хотите добавить ручной вывод, то вам следует установить
	$maxsite_addzakl_auto = false;

После этого в своем шаблоне, в цикле TheLoop (!) укажите php-код

<?php
	if ( function_exists('maxsite_addzakl') ) { 
		echo '<div class="addzakl">Добавить в ';
		maxsite_addzakl();
		echo '</div>';
	}
?>

Изменить стиль вы можете в style.css своего шаблона, например так:
	div.addzakl {text-align: center; margin: 10px 0;}

*******************************************************************************/

$maxsite_addzakl_auto = true; // false = ручное размещение, true - автоматом


############################################################################
###                            STOP EDIT!!!
############################################################################

if ( $maxsite_addzakl_auto ) add_action('the_content', 'maxsite_addzakl'); 

function maxsite_addzakl($content = '') {
	global $post, $maxsite_addzakl_auto;
	
	if (!is_single()) return $content;
	
	$sep = ' ';  # разделитель мужду кнопками - можно указать свой
	
	# ширина и высота картинок. Если хотите то можно убрать rel="nofollow"
	$width_height = ' width="16" height="16"';  
	
		
	$path = get_bloginfo('siteurl') . '/wp-content/plugins/addzakl/images/'; # путь к картинкам
	
	$post_title = urlencode ( stripslashes($post->post_title) . ' - ' . get_bloginfo('name') );
	$post_link = get_permalink($post->ID);

	
	$img_src = 'google_bmarks.gif';
	$link = '<a rel="nofollow" href="http://www.google.com/bookmarks/mark?op=edit&bkmk=' . $post_link . '&title=' . $post_title .  '">';
	$out = $link . '<img border="0" title="google.com" alt="google.com" src="' . $path . $img_src  . '"' . $width_height . ' /></a>';
	
	$img_src = 'bobrdobr.gif';
	$link = '<a rel="nofollow" href="http://bobrdobr.ru/addext.html?url=' . $post_link . '&title=' . $post_title .  '">';
	$out .= $sep . $link . '<img border="0" title="bobrdobr.ru" alt="bobrdobr.ru" src="' . $path . $img_src  . '"' . $width_height . ' /></a>';
	
	$img_src = 'delicious.gif';
	$link = '<a rel="nofollow" href="http://del.icio.us/post?url=' . $post_link . '&title=' . $post_title .  '">';
	$out .= $sep . $link . '<img border="0" title="del.icio.us" alt="del.icio.us" src="' . $path . $img_src  . '"' . $width_height . ' /></a>';

	$img_src = 'technorati.gif';
	$link = '<a rel="nofollow" href="http://www.technorati.com/faves?add=' . $post_link . '">';
	$out .= $sep . $link . '<img border="0" title="technorati.com" alt="technorati.com" src="' . $path . $img_src  . '" /></a>';

	$img_src = 'linkstore.gif';
	$link = '<a rel="nofollow" href="http://www.linkstore.ru/servlet/LinkStore?a=add&url=' . $post_link . '&title=' . $post_title .  '">';
	$out .= $sep . $link . '<img border="0" title="linkstore.ru" alt="linkstore.ru" src="' . $path . $img_src  . '"' . $width_height . ' /></a>';
	
	$img_src = 'news2-ru.gif';
	$link = '<a rel="nofollow" href="http://news2.ru/add_story.php?url=' . $post_link . '">';
	$out .= $sep . $link . '<img border="0" title="news2.ru" alt="news2.ru" src="' . $path . $img_src  . '" /></a>';

	$img_src = 'rumark.gif';
	$link = '<a rel="nofollow" href="http://rumarkz.ru/bookmarks/?action=add&popup=1&address=' . $post_link . '&title=' . $post_title .  '">';
	$out .= $sep . $link . '<img border="0" title="rumarkz.ru" alt="rumarkz.ru" src="' . $path . $img_src  . '"' . $width_height . ' /></a>';
	
	$img_src = 'memori.gif';
	$link = '<a rel="nofollow" href="http://memori.ru/link/?sm=1&u_data[url]=' . $post_link . '&u_data[name]=' . $post_title .  '">';
	$out .= $sep . $link . '<img border="0" title="memori.ru" alt="memori.ru" src="' . $path . $img_src  . '"' . $width_height . ' /></a>';
	
	$img_src = 'moemesto.gif';
	$link = '<a rel="nofollow" href="http://moemesto.ru/post.php?url=' . $post_link . '&title=' . $post_title .  '">';
	$out .= $sep . $link . '<img border="0" title="moemesto.ru" alt="moemesto.ru" src="' . $path . $img_src  . '"' . $width_height . ' /></a>';
	

	if ( $maxsite_addzakl_auto ) return $content . "\n<div class=\"addzakl\">" . $out . "</div>\n";
		else echo $out;
	
}


?>